Subject: Re: [Autoconf] Goals of MANET autoconf

From: Shubhranshu <[email-masked]>
Date: Wed, 28 Nov 2007 16:17:34 +0530

Francisco,

Please see below:

----- Original Message -----
From: "Francisco J. Ros" <[email-masked]>
>
>> On merges: yes, some types of address generation have a somewhat high
>> probability on collisions.
>> But we are scoped on autoconfiguration, or am I missing something?
>>
> Manually configured addresses was just an example. Depending on the final
> [autoconf] protocol(s), we could find situations where duplicated global
> addresses appear. So, in the context of the P-S, are we sure that this is
> never going to happen? If not, why exclude global addresses from the
> (in-service) uniqueness check if, in fact, it could come "for free" with the
> same mechanism for non-global?
>
> My suggestion is not being so explicit right now, and just talk
> about "configured address uniqueness in the situation where different ad hoc
> networks merge" (from the charter).

Agree, as said before since initially isolated MANETs had allocated  addresses
independent with each other, there remains some probability, after
merger, of more than one node using same address.

- Shubhranshu

>
> Regards,
> fran
>
>> My personal experience in real world: many years ago I had to deal with a
>> malware attack, utilizing duplicate checks. Still, this is one of my
>> nightmares. Just to place DAD in perspective, it has also a large, large
>> drawback. I am not against DAD, but I want to use it very carefully.
>>
>> By the way, I like using anycast a lot, especially in an ad-hoc
>> environment. Typically addresses are configured manually and must not be
>> blocked by multi-link DAD.
>>
>> Teco.
>>
>> > Regards,
>> > fran

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf